漏洞信息详情

LibreNMS 操作系统命令注入漏洞

  • CNNVD编号:CNNVD-201909-268
  • 危害等级: 高危
  • CVE编号: CVE-2019-10669
  • 漏洞类型: 操作系统命令注入
  • 发布时间: 2019-09-06
  • 威胁类型: 远程
  • 更新时间: 2020-10-28
  • 厂        商:
  • 漏洞来源: Metasploit,Eldar M...

漏洞简介

LibreNMS是一套基于PHP和MySQL的开源网络监控系统。该系统具有自定义警报、自动发现网络环境和自动更新等特点。

LibreNMS 1.47及之前版本中的html/includes/graphs/device/collectd.inc.php文件存在操作系统命令注入漏洞。该漏洞源于外部输入数据构造操作系统可执行命令过程中,网络系统或产品未正确过滤其中的特殊字符、命令等。攻击者可利用该漏洞执行非法操作系统命令。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.librenms.org

参考网址

来源:www.exploit-db.com

链接:https://www.exploit-db.com/exploits/47375

来源:www.darkmatter.ae

链接:https://www.darkmatter.ae/xen1thlabs/librenms-command-injection-vulnerability-xl-19-017/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/154391/LibreNMS-Collectd-Command-Injection.html

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-10669

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多